import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { PermissionTemplateContainerModel } from '../../../../../models/aggregates/permissions';
import { ApiResponseModel, ApiVisa, BasicApiResponseModel, Pagination, PagingResponseModel } from '../shared';
import { Observable } from 'rxjs';
export declare class PermissionTemplateService extends BaseApiTemplateService<PermissionTemplateContainerModel> {
    constructor(http: HttpClient);
    private setUrl;
    sysadminGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): Observable<PagingResponseModel<PermissionTemplateContainerModel>>;
    getByLogin(appletGuid: string, tenantGuid: string, visa: ApiVisa): Observable<ApiResponseModel<PermissionTemplateContainerModel>>;
    getByGuidByLogin(tenantCode: string, appletGuid: string, guid: string, visa: ApiVisa): Observable<ApiResponseModel<PermissionTemplateContainerModel>>;
    getByTenantAdmin(tenantCode: string, visa: ApiVisa): Observable<ApiResponseModel<PermissionTemplateContainerModel>>;
    getByGuidTenantAdmin(tenantCode: string, guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<PermissionTemplateContainerModel>>;
    getByCriteriaTenantAdmin(pagination: Pagination, tenantCode: string, visa: ApiVisa): Observable<PagingResponseModel<PermissionTemplateContainerModel>>;
    getSelectedTargets(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
